Bug 461054 - Review Request: qrq - Morse telegraphy trainer
Review Request: qrq - Morse telegraphy trainer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-03 15:00 EDT by Lucian Langa
Modified: 2008-10-01 02:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-05 14:33:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lucian Langa 2008-09-03 15:00:33 EDT
Spec URL: http://lucilanga.fedorapeople.org/qrq.spec
SRPM URL: http://lucilanga.fedorapeople.org/qrq-0.1.4-2.fc9.src.rpm
Description: qrq is an open source morse telegraphy trainer for Linux and Unix operating systems, similar to the classic DOS version of Rufz by DL4MM.

It's not intended for learning telegraphy, but to improve the ability to
copy callsigns at high speeds, as needed for example for Contesting.
Comment 1 Jason Tibbitts 2008-09-03 20:47:24 EDT
This is a simple package; it builds fine and rpmlint is silent.

I can't test it because it exits if /dev/dsp can't be opened and this machine has no sound card.  (It runs up until that point well enough.)  However, this makes me wonder how well use of /dev/dsp works with the modern world of ALSA and PulseAudio.  I have to assume that you have tested this on F8 or F9 and had no issues with sound output.

The only real problem I see is that the compiler isn't called with the proper set of flags.  This is trivially fixed by calling make thusly:
  make CFLAGS="%{optflags}" %{?_smp_mflags}


* source files match upstream:
   6c9bd2e3d5c1d06c6a84e910deeff3c1e7a7f2c4c0f0376ddfb11fa4855aff9a  
   qrq-0.1.4.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
X compiler flags are not correct.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
X debuginfo package is incomplete.
* rpmlint is silent.
* final provides and requires are sane:
   qrq = 0.1.4-2.fc10
   qrq(x86-64) = 0.1.4-2.fc10
  =
   /usr/bin/perl
   libgcc_s.so.1()(64bit)
   libncurses.so.5()(64bit)
   libstdc++.so.6()(64bit)
   libtinfo.so.5()(64bit)
   perl(LWP::UserAgent)
   perl(strict)
   perl(warnings)

* %check is not present; no test suite upstream.  I cannot test this software 
   due to my test machine lacking a sound card.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 2 Lucian Langa 2008-09-04 08:36:44 EDT
(In reply to comment #1)
> I have to assume that you have tested this on F8 or F9 and had
> no issues with sound output.
THat's right. I even test this on rawhide, no issues at all.



> The only real problem I see is that the compiler isn't called with the proper
> set of flags.  This is trivially fixed by calling make thusly:
>   make CFLAGS="%{optflags}" %{?_smp_mflags}
updated, bumped version:

http://lucilanga.fedorapeople.org/qrq.spec
http://lucilanga.fedorapeople.org/qrq-0.1.4-3.fc9.src.rpm
Comment 3 Jason Tibbitts 2008-09-04 17:13:59 EDT
Looks good to me now.

APPROVED
Comment 4 Lucian Langa 2008-09-05 01:32:59 EDT
New Package CVS Request
=======================
Package Name: qrq
Short Description: Morse telegraphy trainer
Owners: lucilanga
Branches: F-8 F-9 EL-5
InitialCC:
Comment 5 Kevin Fenzi 2008-09-05 13:01:31 EDT
cvs done.
Comment 6 Fedora Update System 2008-09-05 14:30:15 EDT
qrq-0.1.4-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/qrq-0.1.4-3.fc9
Comment 7 Fedora Update System 2008-09-05 14:31:18 EDT
qrq-0.1.4-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/qrq-0.1.4-3.fc8
Comment 8 Kevin Fenzi 2008-09-05 17:08:40 EDT
Did you need additional cvs activity here? 
Setting flag back to +, but set it to ? if you need something.
Comment 9 Fedora Update System 2008-10-01 02:39:55 EDT
qrq-0.1.4-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-10-01 02:40:22 EDT
qrq-0.1.4-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.